package de.fhhannover.inform.trust.ifmapj.messages;

import java.util.Collection;

import org.w3c.dom.Document;

import de.fhhannover.inform.trust.ifmapj.binding.Unmarshaller;
import de.fhhannover.inform.trust.ifmapj.exception.IfmapErrorResult;
import de.fhhannover.inform.trust.ifmapj.identifier.Identifier;

/**
 * Not to be used by ifmapJ users, but rather by {@link Unmarshaller}
 * implementations.
 * 
 * @author aw
 *
 */
public interface ResultFactory {
	
	public NewSessionResult createNewSessionRes(String sId, String pId, Integer mprs);

	public NewSessionResult createNewSessionRes(String sId, String pId);
	
	public ResultItem createResultItem(Identifier id1, Identifier id2, Collection<Document> mdlist);

	public ResultItem createResultItem(Identifier id1, Collection<Document> mdlist);
	
	public SearchResult createSearchRes(Collection<ResultItem> ritems, String name);

	SearchResult createSearchRes(Collection<ResultItem> ritems);
	
	PollResult createPollRes(Collection<SearchResult> sres,
			Collection<SearchResult> ures, Collection<SearchResult> dres,
			Collection<SearchResult> nres, Collection<IfmapErrorResult> eres);


}
