package de.fhhannover.inform.trust.ifmapj.identifier;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNotNull;
import static org.junit.Assert.assertNull;

import org.junit.Test;

/**
 * Trivial tests for {@link AccessRequest} class.
 * 
 * @author ibente
 *
 */
public class AccessRequestTest {
	public String ad = "de.fhhannover.inform.trust";
	public String name = "publisherid:number";

	@Test
	public void testAccessRequest() {
		AccessRequest ar = new AccessRequest();
		assertNotNull(ar);
		assertNull(ar.getAdministrativeDomain());
		assertNull(ar.getName());
		ar.setAdministrativeDomain(ad);
		ar.setName(name);
		assertEquals(ad, ar.getAdministrativeDomain());
		assertEquals(name, ar.getName());
	}
	
	@Test
	public void testAccessRequestToString() {
		AccessRequest ar = new AccessRequest();
		assertEquals("ar{null}", ar.toString());
		
		ar.setName("abc");
		assertEquals("ar{abc}", ar.toString());
		
		ar.setName(null);
		assertEquals("ar{null}", ar.toString());
		
		ar.setAdministrativeDomain("abc");
		assertEquals("ar{null, abc}", ar.toString());
		
		ar.setName("abc");
		assertEquals("ar{abc, abc}", ar.toString());
	}
}
